.SavedAddress {
    margin: 30px 0px;
}

.SavedAddress .back_text {
    margin-bottom: 0px;
    font-size: 15px;
    color: #000;
    font-weight: 500;
    cursor: pointer;
}

.SavedAddress .add_new_address_div {
    border-bottom: 1px solid;
    padding: 10px 25px;
}

.SavedAddress .title_div {
    margin: 30px 0px 0px;
}

.SavedAddress .title_div .section_title {
    margin-bottom: 0px;
}

.SavedAddress .add_new_address_div .address_title_div {
    display: flex;
    justify-content: space-between;
    align-items: center;
}


.SavedAddress .add_new_address_div .address_title_div .heading_div {}

.SavedAddress .add_new_address_div .address_title_div .heading_div p {
    letter-spacing: 0px;
    color: #000;
    opacity: 1;
    margin-bottom: 0px;
    font-size: 21px;
    font-weight: 600;
}


.SavedAddress .saved_address_main_div {
    margin: 20px 0px 0px;
    display: flex;
    justify-content: space-between;
}

.SavedAddress .address_btn_holder {
    width: fit-content;
    margin: 0 auto;
}

.addres_card_holder  {
    width: 90%;
}

.addres_card_holder  .address_card {
    background: #FFFFFF 0% 0% no-repeat padding-box;
    border: 0.5px solid #707070;
    border-radius: 5px;
    opacity: 1;
    padding: 10px 20px;
    width: 100%;
    margin-bottom: 20px;
    position: relative;
    height: 100%;
}


.addres_card_holder  .address_card .top_address_heading {
    display: flex;
    justify-content: space-between;
    align-items: center;
}



.addres_card_holder  .address_card .top_address_heading .heading {}

.addres_card_holder  .address_card .top_address_heading .heading p {
    letter-spacing: 0px;
    color: #000;
    opacity: 1;
    margin-bottom: 0px;
    font-size: 18px;
    font-weight: 600;
}


.addres_card_holder  .address_card .user_address {
    margin-top: 4%;
}

.addres_card_holder  .address_card .user_address .user_name {
    letter-spacing: 0px;
    color: #000;
    opacity: 1;
    margin-bottom: 5px;
    font-size: 15px;
    font-weight: 700;
}

.addres_card_holder  .address_card .user_address .contact_no {
    letter-spacing: 0px;
    color: #000;
    opacity: 1;
    margin-bottom: 5px;
    font-size: 14px;
    font-weight: 700;
}

.addres_card_holder  .address_card .user_address .footer_div {
    padding-bottom: 10px;
}

.addres_card_holder  .address_card .user_address .footer_div .address_div {
    width: 100%;
}

.addres_card_holder  .address_card .user_address .footer_div .address_div p {
    letter-spacing: 0px;
    color: #000;
    opacity: 1;
    margin-bottom: 5px;
    font-size: 14px;
    font-weight: 500;
}

.addres_card_holder  .address_card  .edit_delete_holder {
    display: flex;
    justify-content: end;
    align-items: center;
    position: absolute;
    width: 96%;
    left: 0px;
    bottom: 6px;
    margin: 0px auto;
    right: 0px;
    gap: 10px;
}


.addres_card_holder  .address_card .edit_btn_div {
    width: fit-content;
}

.addres_card_holder  .address_card .edit_btn_div p {
    letter-spacing: 0.41px;
    color: #000;
    opacity: 1;
    margin-bottom: 0px;
    font-size: 14px;
    font-weight: 600;
    text-decoration: underline;
    cursor: pointer;
}

.addres_card_holder  .address_card .edit_btn_div p:hover {
    color: #1f7041;
}



.Saved_Address  .delete_icon_holder {
    background: #FFFFFF 0% 0% no-repeat padding-box;
    box-shadow: 0px 0px 3px #00000029;
    border-radius: 3px;
    opacity: 1;
    width: 35px;
    height: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.Saved_Address  .delete_icon_holder .delete_icon {
    color: red;
}


.SavedAddress .form-check-input:checked {
    background-color: #6b4182 !important;
    border-color: #6b4182 !important;
    width: 16px;
    height: 16px;
}

@media (min-width: 0px) and (max-width: 424px) {

    .SavedAddress .add_new_address_div {
        padding: 10px 10px;
    }

    .addres_card_holder  .address_card .top_address_heading .heading p {
        font-size: 16px;
    }

    .SavedAddress .add_new_address_div .address_title_div .heading_div p {
        font-size: 17px;
    }

    .SavedAddress .saved_address_main_div {
        flex-direction: column-reverse;
    }

    .SavedAddress .delete_icon_holder {
        /* margin: 30px 0px ; */
    }

    .addres_card_holder  {
        width: 100%;
    }
}


@media (min-width: 425px) and (max-width: 767.98px) {
    .addres_card_holder  .address_card {
        margin-bottom: 20px;
    }
}